package com.grkj.iscs_mc.util.log

import android.os.Handler
import com.orhanobut.logger.DiskLogStrategy

/**
 *
 * 功能描述：日志打印策略
 * 使用场景：需要打印日志并输出到本地文件夹中
 */
class LogDiskStrategy(private val handler: Handler) : DiskLogStrategy(handler) {
    override fun log(level: Int, tag: String?, message: String) {
        // do nothing on the calling thread, simply pass the tag/msg to the background thread
        handler.sendMessage(handler.obtainMessage(level, message))
    }
}